Skip to content
Start here

Get a list item

rules.lists.items.get(stritem_id, ItemGetParams**kwargs) -> ItemGetResponse
GET/accounts/{account_id}/rules/lists/{list_id}/items/{item_id}

Fetches a list item in the list.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Filter Lists EditAccount Filter Lists Read
ParametersExpand Collapse
account_id: str

The Account ID for this resource.

maxLength32
minLength32
list_id: str

The unique ID of the list.

maxLength32
minLength32
item_id: str

Defines the unique ID of the item in the List.

maxLength32
minLength32
ReturnsExpand Collapse
One of the following:
class ListsListItemIPFull:
id: str

Defines the unique ID of the item in the List.

maxLength32
minLength32
created_on: str

The RFC 3339 timestamp of when the list was created.

ip: str

An IPv4 address, an IPv4 CIDR, an IPv6 address, or an IPv6 CIDR.

modified_on: str

The RFC 3339 timestamp of when the list was last modified.

comment: Optional[str]

Defines an informative summary of the list item.

class ListsListItemHostnameFull:
id: str

Defines the unique ID of the item in the List.

maxLength32
minLength32
created_on: str

The RFC 3339 timestamp of when the list was created.

hostname: Hostname

Valid characters for hostnames are ASCII(7) letters from a to z, the digits from 0 to 9, wildcards (*), and the hyphen (-).

url_hostname: str
exclude_exact_hostname: Optional[bool]

Only applies to wildcard hostnames (e.g., *.example.com). When true (default), only subdomains are blocked. When false, both the root domain and subdomains are blocked.

modified_on: str

The RFC 3339 timestamp of when the list was last modified.

comment: Optional[str]

Defines an informative summary of the list item.

class ListsListItemRedirectFull:
id: str

Defines the unique ID of the item in the List.

maxLength32
minLength32
created_on: str

The RFC 3339 timestamp of when the list was created.

modified_on: str

The RFC 3339 timestamp of when the list was last modified.

redirect: Redirect

The definition of the redirect.

source_url: str
target_url: str
include_subdomains: Optional[bool]
preserve_path_suffix: Optional[bool]
preserve_query_string: Optional[bool]
status_code: Optional[Literal[301, 302, 307, 308]]
One of the following:
301
302
307
308
subpath_matching: Optional[bool]
comment: Optional[str]

Defines an informative summary of the list item.

class ListsListItemASNFull:
id: str

Defines the unique ID of the item in the List.

maxLength32
minLength32
asn: int

Defines a non-negative 32 bit integer.

created_on: str

The RFC 3339 timestamp of when the list was created.

modified_on: str

The RFC 3339 timestamp of when the list was last modified.

comment: Optional[str]

Defines an informative summary of the list item.

Get a list item

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
item = client.rules.lists.items.get(
    item_id="34b12448945f11eaa1b71c4d701ab86e",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    list_id="2c0fc9fa937b11eaa1b71c4d701ab86e",
)
print(item)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "34b12448945f11eaa1b71c4d701ab86e",
    "created_on": "2020-01-01T08:00:00Z",
    "ip": "10.0.0.1",
    "modified_on": "2020-01-10T14:00:00Z",
    "comment": "Private IP address"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "34b12448945f11eaa1b71c4d701ab86e",
    "created_on": "2020-01-01T08:00:00Z",
    "ip": "10.0.0.1",
    "modified_on": "2020-01-10T14:00:00Z",
    "comment": "Private IP address"
  },
  "success": true
}